package com.liquidnet.service.adam.service.impl;
import com.liquidnet.service.adam.dto.AdamComInfoDto;
import com.liquidnet.service.adam.dto.AdamComInfoParam;
import com.liquidnet.service.adam.service.IAdamComInfoExtendService;
import com.liquidnet.service.adam.service.IAdamComInfoService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import static org.junit.Assert.*;

/**
 * @author Li Chen
 * @date 2020-10-10 18:07
 */
@SpringBootTest
@RunWith(SpringRunner.class)
public class AdamComInfoServiceImplTest {

    @Autowired
    private IAdamComInfoService adamComInfoService;


    @Test
    public void updateById() {

        AdamComInfoParam updateParam = new AdamComInfoParam();
        updateParam.setId("1314499177966964738");
        updateParam.setName("测试名称");
        int i = adamComInfoService.updateById(updateParam);
        System.out.println("更新行:" + i);
    }



    @Test
    public void update() {

        AdamComInfoDto updateDto = new AdamComInfoDto();
        updateDto.setState("34343434");

        AdamComInfoParam updateParam = new AdamComInfoParam();
        updateParam.setId("1314500858842685441");
        updateParam.setState("1");
        int i = adamComInfoService.update(updateDto, updateParam);
        System.out.println("更新行:" + i);
    }

}